Page MenuHomePhabricator

Show full reason in mobile block message drawer
Closed, ResolvedPublicSep 22 2020

Description

T261178 introduces a design that allows arbitrarily long reasons to be shown in the mobile block message drawer.

This task is for showing the full reason, which will involve an API call to transform the wikitext reason to HTML.

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 3 2020, 10:57 AM

Change 625899 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/MobileFrontend@master] Display the block reason HTML in the block message drawer

https://gerrit.wikimedia.org/r/625899

ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".Sep 9 2020, 8:45 PM
ARamirez_WMF set Due Date to Sep 22 2020, 4:00 AM.

Change 625899 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Display the block reason HTML in the block message drawer

https://gerrit.wikimedia.org/r/625899

@Tchanders @Niharika Further to what I mentioned in yesterday's standup, just some differences found so far. They don't seem too bad, apart from the first one:

@dom_walden I agree they don't seem too bad. the first one seems okay in that it at least gives you a partial reason for the block. The problem would be worse if all of the message was cut off/obscured. I guess there will be other templates for which this happens. We can't chase down everyone one of those. Let's file a bug for it and leave it in the backlog for now.

I've updated {{tor}} to not use {{mbox}}.

@dom_walden I agree they don't seem too bad. the first one seems okay in that it at least gives you a partial reason for the block. The problem would be worse if all of the message was cut off/obscured. I guess there will be other templates for which this happens. We can't chase down everyone one of those. Let's file a bug for it and leave it in the backlog for now.

OK, thanks. I've raised T264187.

Otherwise, templates seem to be rendered as HTML in block reasons.

So, what before might have looked like:

mobile_template_before.png (396ร—510 px, 26 KB)

Now looks like:

mobile_template_after.png (731ร—519 px, 87 KB)

There does not seem to be a limit to how long the reason is. For example, I have used block reasons which use 10+ templates in a row and they all appear when you scroll down.

Test devices:

  • Firefox mobile emulator
  • iPhone 8 (emulated)

I've updated {{tor}} to not use {{mbox}}.

Thanks!

@Tchanders: Hi, the Due Date set for this open task was two months ago. Can you please either update or reset the Due Date (by clicking Edit Task), or set the status of this task to resolved via the Add Action... โ†’ Change Status dropdown in case that this task is done (as the patch is merged)? Thanks.

@Aklapper Thanks - looks like we've just forgotten to close these. Will do so now.